---
title: "Close Group"
slug: "close-group"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Group

Post/api/v1/groups.close

Hides the private channel from the list of channels in the workspace sidebar, only if you're part of the group. It will reappear when someone sends a new message. You can search for hidden channels using the workspace **Directory**.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='79b7504f-4983-4bd5-a39d-dcb578cb1adf'>application/json</option>
</select>object  roomIdstring    

The group ID that you want to close. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

ExampleByehQjC44FwMeiLbX

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='9ed98aad-67da-4a59-9c05-1b26e2c083b4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='4caf6996-a739-495b-becd-8bb40d4e66a7'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='f3d175dd-a5cc-4c3c-bf87-65dcedb0371f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ae658353-ac70-43d6-8f5e-aced28527043'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]",
  "errorType": "error-room-not-found"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c381b8d6-1efc-4e3a-bf5d-18ebc8cab32e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='2c6779f1-da80-4b11-8588-1d3c3d363ef7'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
